def Carre1():
    B=1
    C=0
    n=0
    while C<0.5:
        n=n+1
        B=0.75*B
        C=1-B
    return n

def Carre2():
    B=1
    n=0
    while B>0.01:
        n=n+1
        B=0.75*B
    return n